USE [Database]

IF OBJECT_ID('[Procedures].[rename_product]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[rename_product];
GO
CREATE PROCEDURE [Procedures].[rename_product]
  @product_id AS INT,
  @name       AS NVARCHAR(128)
AS
 UPDATE [Tables].[products]
 SET
   [name] = @name
 WHERE [id] = @product_id;
GO